% asy_tut_asy.sty
%  Asymptote tutorial LaTeX style file for use by Asymptote files.
% Inspired by https://felix11h.github.io/blog/greek-sansmath, and thanks
% to egreg.
% 2024-Mar-12 JH Init.

\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}

\usepackage{tgheros}   % Like Helvetica
\renewcommand{\familydefault}{\sfdefault}

\usepackage{amsmath, amssymb}

\usepackage[default]{sourcesanspro}

\usepackage{sansmath}
\sansmath

\DeclareSymbolFont{Greekletters}{OT1}{iwona}{m}{n}
\DeclareSymbolFont{greekletters}{OML}{iwona}{m}{it}
\DeclareMathSymbol{\Delta}{\mathord}{Greekletters}{"01}
\DeclareMathSymbol{\Theta}{\mathord}{Greekletters}{"02}
\DeclareMathSymbol{\Lambda}{\mathord}{Greekletters}{"03}
\DeclareMathSymbol{\Xi}{\mathord}{Greekletters}{"04}
\DeclareMathSymbol{\Pi}{\mathord}{Greekletters}{"05}
\DeclareMathSymbol{\Sigma}{\mathord}{Greekletters}{"06}
\DeclareMathSymbol{\Upsilon}{\mathord}{Greekletters}{"07}
\DeclareMathSymbol{\Phi}{\mathord}{Greekletters}{"08}
\DeclareMathSymbol{\Psi}{\mathord}{Greekletters}{"09}
\DeclareMathSymbol{\Omega}{\mathord}{Greekletters}{"0A}

\DeclareMathSymbol{\alpha}{\mathord}{greekletters}{"0B}
\DeclareMathSymbol{\beta}{\mathord}{greekletters}{"0C}
\DeclareMathSymbol{\gamma}{\mathord}{greekletters}{"0D}
\DeclareMathSymbol{\delta}{\mathord}{greekletters}{"0E}
\DeclareMathSymbol{\epsilon}{\mathord}{greekletters}{"0F}
\DeclareMathSymbol{\zeta}{\mathord}{greekletters}{"10}
\DeclareMathSymbol{\eta}{\mathord}{greekletters}{"11}
\DeclareMathSymbol{\theta}{\mathord}{greekletters}{"12}
\DeclareMathSymbol{\iota}{\mathord}{greekletters}{"13}
\DeclareMathSymbol{\kappa}{\mathord}{greekletters}{"14}
\DeclareMathSymbol{\lambda}{\mathord}{greekletters}{"15}
\DeclareMathSymbol{\mu}{\mathord}{greekletters}{"16}
\DeclareMathSymbol{\nu}{\mathord}{greekletters}{"17}
\DeclareMathSymbol{\xi}{\mathord}{greekletters}{"18}
\DeclareMathSymbol{\pi}{\mathord}{greekletters}{"19}
\DeclareMathSymbol{\rho}{\mathord}{greekletters}{"1A}
\DeclareMathSymbol{\sigma}{\mathord}{greekletters}{"1B}
\DeclareMathSymbol{\tau}{\mathord}{greekletters}{"1C}
\DeclareMathSymbol{\upsilon}{\mathord}{greekletters}{"1D}
\DeclareMathSymbol{\phi}{\mathord}{greekletters}{"1E}
\DeclareMathSymbol{\chi}{\mathord}{greekletters}{"1F}
\DeclareMathSymbol{\psi}{\mathord}{greekletters}{"20}
\DeclareMathSymbol{\omega}{\mathord}{greekletters}{"21}
\DeclareMathSymbol{\varepsilon}{\mathord}{greekletters}{"22}
\DeclareMathSymbol{\vartheta}{\mathord}{greekletters}{"23}
\DeclareMathSymbol{\varpi}{\mathord}{greekletters}{"24}
\DeclareMathSymbol{\varrho}{\mathord}{greekletters}{"25}
\DeclareMathSymbol{\varsigma}{\mathord}{greekletters}{"26}
\DeclareMathSymbol{\varphi}{\mathord}{greekletters}{"27}


